Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.script
Class DataField

    java.lang.Object
      org.encog.app.analyst.script.DataField

Direct Known Subclasses:
  AnalyzedField

    public class DataField

extends Object

Holds stats on a data field for the Encog Analyst. This data is used to normalize the field.

Constructor Summary
`DataField(String theName)` Construct the data field.

Method Summary
`List<AnalystClassItem>` | `getClassMembers()`
`double` | `getMax()`
`double` | `getMean()`
`double` | `getMin()`
`int` | `getMinClassCount()` Determine the minimum class count.
`String` | `getName()`
`double` | `getStandardDeviation()`
`boolean` | `isClass()`
`boolean` | `isComplete()`
`boolean` | `isInteger()`
`boolean` | `isReal()`
`void` | `setClass(boolean theClass)`
`void` | `setComplete(boolean theComplete)`
`void` | `setInteger(boolean theInteger)`
`void` | `setMax(double theMax)`
`void` | `setMean(double theMean)`
`void` | `setMin(double theMin)`
`void` | `setName(String theName)`
`void` | `setReal(boolean theReal)`
`void` | `setStandardDeviation(double theStandardDeviation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataField

    public DataField(String theName)

  Construct the data field.

  Parameters:
    `theName` - The name of this field.

Method Detail

### getClassMembers

    public final List<AnalystClassItem> getClassMembers()

  Returns:
    the classMembers

### getMax

    public final double getMax()

  Returns:
    the max

### getMean

    public final double getMean()

  Returns:
    the mean

### getMin

    public final double getMin()

  Returns:
    the min

### getMinClassCount

    public final int getMinClassCount()

  Determine the minimum class count. This is the count of the classification field that is the smallest.

  Returns:
    The minimum class count.

### getName

    public final String getName()

  Returns:
    the name

### getStandardDeviation

    public final double getStandardDeviation()

  Returns:
    the standardDeviation

### isClass

    public final boolean isClass()

  Returns:
    the isClass

### isComplete

    public final boolean isComplete()

  Returns:
    the isComplete

### isInteger

    public final boolean isInteger()

  Returns:
    the isInteger

### isReal

    public final boolean isReal()

  Returns:
    the isReal

### setClass

    public final void setClass(boolean theClass)

  Parameters:
    `theClass` - the isClass to set

### setComplete

    public final void setComplete(boolean theComplete)

  Parameters:
    `theComplete` - the isComplete to set

### setInteger

    public final void setInteger(boolean theInteger)

  Parameters:
    `theInteger` - the isInteger to set

### setMax

    public final void setMax(double theMax)

  Parameters:
    `theMax` - the max to set

### setMean

    public final void setMean(double theMean)

  Parameters:
    `theMean` - the mean to set

### setMin

    public final void setMin(double theMin)

  Parameters:
    `theMin` - the theMin to set

### setName

    public final void setName(String theName)

  Parameters:
    `theName` - the name to set

### setReal

    public final void setReal(boolean theReal)

  Parameters:
    `theReal` - the isReal to set

### setStandardDeviation

    public final void setStandardDeviation(double theStandardDeviation)

  Parameters:
    `theStandardDeviation` - the standardDeviation to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.